//
//  DynamicsAppDelegate.m
//  Dynamics
//
//  Created by Richard Koch on 7/20/14.
//  Copyright (c) 2014 Richard Koch. All rights reserved.
//

#import "DynamicsAppDelegate.h"
#import "WindowDelegate.h"

@implementation DynamicsAppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    [mandWind makeKeyAndOrderFront:self];
}

- (BOOL) menuActive:menuCell
{
	BOOL	shouldBeEnabled;
	
	shouldBeEnabled = [[[NSApp mainWindow] delegate] isKindOfClass:[WindowDelegate class]];
	if ([menuCell isEnabled] != shouldBeEnabled) {
		[menuCell setEnabled:shouldBeEnabled];
		return YES;
    }
    
	return NO;
}

- (int)application:sender openFile:(NSString *)filename
{
	[winDelegate openMandFile: filename];
	return YES;
}



@end
