#import "infoDrawer.h"
#import "MiniMandelView.h"

@implementation infoDrawer
- (void)awakeFromNib
{
    [self setDelegate:self];
    [self setContentSize:NSMakeSize(175,272)];
}

/*delegate methods*/
- (void)drawerDidOpen:(NSNotification *)notification
{
    [moreButton setState:NSOnState];    
}
- (void)drawerDidClose:(NSNotification *)notification
{

      /*just in case of manual close*/
     [moreButton setState:NSOffState];
}
- (BOOL)drawerShouldClose:(NSDrawer *)sender
{

    [miniMandelView stopMandelTE];
    return YES;
}
- (BOOL)drawerShouldOpen:(NSDrawer *)sender
{
    return YES;
}

- (NSSize)drawerWillResizeContents:(NSDrawer *)sender toSize:(NSSize)contentSize
{
    return NSMakeSize(175,272);/* we avoid resizing, seems not working*/
}
    
@end
